/*
 * ghost_timer.h
 *
 */

#ifndef GHOST_TIMER_H_
#define GHOST_TIMER_H_

class GHostLocalTimer
{
public:
	static void periodTimerStart(unsigned int period_ms);
	static void periodicTimerWait();
};


extern void GHostLocalTimerAttach(unsigned int period_ms, void* event_handle);


extern void GHostLocalTimerBatchSlave(bool);

#endif /* GHOST_TIMER_H_ */
